import * as React from "react";
export interface CreateGovtProposalProps {
    parameterDisplayName: string | JSX.Element;
    parameterCurrentValue: string;
    parameterDisplayUnits: string;
    parameterProposalValue: string;
    transactions?: any[];
    handleClose(): void;
    handleUpdateProposalValue(name: string, value: string): void;
    postExecuteTransactions?(): any;
}
export interface CreateGovtProposalState {
    parameterProposalValue: string;
}
export declare class CreateGovtProposal extends React.Component<CreateGovtProposalProps, CreateGovtProposalState> {
    bucket: HTMLDivElement;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal;
}
